
Figure - Bug #114759
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【时钟】打开一个临近的闹钟，屏幕左上角弹出的通知框内容展示不完全
2022-12-22 16:55 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-22

Priority: Normal Due date: 2022-12-31

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

Reproducibility: Every time Fixed Version: 2023-01-10

Test Type: IT Root cause: 弹出通知的最大高度被限制了，我们增加了这个高度

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开时钟应用

2、设置一个距离现在设备时间不久的闹钟

（5分钟）

3、开启闹钟

【预期结果】

3、闹钟开启的提示信息能够正常显示

【实际结果】

3、屏幕左上角弹出的通知框内容展示不完全

History

#1 - 2022-12-23 11:52 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2022-12-23 14:58 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚

■ My analysis

在DeskClock 应用内找到发送通知的位置，注释掉NotificationCompat.Builder$addAction方法，发现通知展示完整

■ Next action 

应该是SystemUI的通知相关的问题

#3 - 2022-12-23 15:23 - CD APP-王宏

- Category changed from CD-APP to CD-FW

#4 - 2022-12-26 15:52 - CDTS-TEST 周婷
- Due date set to 2022-12-31

- Target version set to VX1_MCE_FSE_C sample_20230113

#5 - 2023-01-09 18:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175222 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Increase the maximum height of pop-up notificationsTC-RID: 1201-0201902IssueID: TS-R-BUG-114759Change-Id:

Ib813fb781be9ee86dbc13454c60e79166005a100

#6 - 2023-01-09 18:04 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-10

- Root cause set to 弹出通知的最大高度被限制了，我们增加了这个高度

#7 - 2023-01-10 13:20 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

1.10

验证通过

#8 - 2023-01-10 13:20 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-22 16-54-51.mp4 12.1 MB 2022-12-22 CD TEST-方永红
